{% extends '_base.html.jinja' %}
{% from '_common.html.jinja'
   import bi_chat_left_text_fill, end_quote, modal %}
{% from 'epijats/lyon.html.jinja'
   import article_main_css_style, article_layout, link_fonts %}
{% set title = doc.title %}
{% set math_css_url = "https://cdn.jsdelivr.net/npm/katex@0.16.2/dist/katex.min.css" %}
{% set succ_dir = "../" if path_edid else "./" %}

{% macro correspond() %}
{% if portal %}
  <div class="article-action-button">
      <a class="btn btn-article" href="{{portal}}">
      {{bi_chat_left_text_fill()-}}&ensp;Correspond
      </a>
  </div>
{% endif %}
{% endmacro %}

{% macro cite() %}
{% if doc.authors %}
  <div class="article-action-button">
    <button type="button" class="btn btn-article"
        data-bs-toggle="modal" data-bs-target="#js-modal-cite">
    {{end_quote()-}}&thinsp;Cite
    </button>
  </div>
{% endif %}
{% endmacro %}

{% set website_hooks = {
  "correspond": correspond,
  "cite": cite,
  "static_dir": this.relroot + "static"
} %}

{% block more_head %}
{{super()-}}
{{link_fonts()}}
{% if doc %}
<meta name="citation_pdf_url" content="https://popgen.es/{{doc.dsi}}/article.pdf">
{% endif %}
<meta property="og:title" content="{{title}}" />
<meta property="og:type" content="article" />
{% if doc and not doc.obsolete %}
<meta property="og:url" content="https://popgen.es/{{doc.base_dsi}}" />
{% endif %}
{% if doc %}
<meta property="article:modified_time" content="{{doc.date}}" />
{% endif %}
{% for a in doc.authors %}
<meta property="article:author" content="{{a}}" />
{% endfor %}
<link rel="alternate" type="application/pdf" href="article.pdf">
<link rel="stylesheet" href="{{math_css_url}}" crossorigin="anonymous"
  integrity="sha384-bYdxxUwYipFNohQlHt0bjN/LCpueqWz13HufFEV1SUatKs1cm4L6fFgCi1jT643X">
{{article_main_css_style(website_hooks.static_dir)-}}
<style>
.main-column {
  margin-left: auto;
  margin-right: auto;
  padding: 8px;
  text-align: center;
  text-align: left;
  --pdf-icon-height: 48px;
}
.main-column a code {
  white-space: nowrap;
}
.page-content-pillar {
  margin-left: auto;
  margin-right: auto;
  max-width: calc(74 * var(--ps-base-font-size));
}
a.permpub-url {
  word-break: break-word;
}
.article-actions-band {
  padding-left: var(--ps-device-margin-left);
  padding-right: var(--ps-device-margin-right);
}
.article-actions-band .btn-article {
  margin-top: 2rem;
}
.article-action-button {
  display: inline-block;
  margin-right: 1.5rem;
  margin-bottom: 2rem;
}
.btn-article {
  --btn-color: #04b;
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--btn-color);
  --bs-btn-border-color: var(--btn-color);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #0b5ed7;
  --bs-btn-hover-border-color: #0a58ca;
  --bs-btn-focus-shadow-rgb: 49,132,253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #0a58ca;
  --bs-btn-active-border-color: #0a53be;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--btn-color);
  --bs-btn-disabled-border-color: var(--btn-color);
}
a.btn-article, a.btn-article:visited {
  color: var(--bs-btn-color);
}

.article-nav {
  border-bottom: 2px solid #ccc;
  padding: 8px var(--ps-device-margin-right) 16px var(--ps-device-margin-left);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.25rem;
}
.article-nav .dropdown {
  display: inline-block;
}
.info-link .bi {
  font-size: 1.875rem;
  margin-left: 0.5em;
  width: 1em;
  height: 1em;
  color: #6c757d;
}
.pdf-link img {
  height: var(--pdf-icon-height);
}

.cite-subedition {
  padding-top: 24px;
  padding-bottom: 24px;
}
.citation-instruction {
  text-align: center;
}
</style>
{% endblock more_head %}

{% macro pdf_link() %}
  <div class="pdf-link">
    {% set pdf_dir = "." if path_edid == doc.edid else succ_dir ~ doc.edid %}
    <a href="{{pdf_dir}}/article.pdf">
      <img src="{{this.relroot}}images/PDF_file_icon.svg" alt="PDF file">
    </a>
  </div>
{% endmacro %}

{% block torso_content %}
<div class="main-column">

<div class="page-content-pillar">

<div class="article-nav">
  <div>
    {% if doc %}
    <div class="dropdown">
      <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
        View editions
      </button>
      <ul class="dropdown-menu">
      {% for ed in succession.editions|reverse %}
        {% if ed.listed or doc.unlisted %}
        <li>
          <a class="dropdown-item" href="{{succ_dir ~ ed.edid}}/">
            ed. {{ed.edid}} &ensp; {{ed.date}}
          </a>
        </li>
        {% endif %}
      {% endfor %}
      </ul>
    </div>
    {% endif %}
    <a class="info-link" href="{{succ_dir}}about">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-info-circle" viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
        <path d="m8.93 6.588-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0z"/>
      </svg>
    </a>
  </div>
  {{- pdf_link() }}
</div>{# article-nav #}

<div class="article-actions-band">
{% if doc.obsolete %}
    <a class="btn btn-article" href="../{{doc.latest_edid}}">
    Go to latest edition
    </a>
{% endif %}
</div>{# article-actions-band #}

{% if doc %}
<div class="eprint">
{{ article_layout(doc, {'dsi_domain': dsi_domain}, website_hooks) -}}
</div><!-- eprint -->
{% else %}
<p class="no-editions">
This Baseprint document succession contains only unlisted editions.
</p>
{% endif %}


</div><!-- page-content-pillar -->

<script src="{{bootstrap}}/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>

{% macro citation(flow) %}
{% set edid = doc.seq_edid if flow else doc.edid %}
  {{ doc.authors | join(', ') }}
  ({{doc.date}})
  "<strong>{{doc.title}}</strong>"
  <a class="permpub-url" href="https://perm.pub/{{doc.base_dsi}}/{{edid}}">
  https://perm.pub/<code>{{doc.base_dsi}}/{{edid}}</code>
  </a>
{% endmacro %}

{% if doc %}
{% call modal("js-modal-cite", "Cite this article") %}
<div class="modal-body">
  <div class="cite-subedition">
    <h4 class="citation-instruction">To edition {{doc.edid}} always</h4>
    <p>{{citation(false)-}}</p>
  </div>
  <div class="cite-subedition">
    <h4 class="citation-instruction">To whatever is the latest {{doc.seq_edid}}.x edition</h4>
    <p>{{citation(true)-}}</p>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
</div>
{% endcall %}
{% endif %}

</div><!--main-column-->
{% endblock torso_content %}
